﻿@import url("open-iconic/font/css/open-iconic-bootstrap.min.css");
@import url("https://fonts.googleapis.com/css?family=Lily+Script+One");
@import url("/fontawesome/scss/fontawesome.scss");
html, body {
  font-family: "Rubik", Helvetica, Arial, sans-serif !important;
  background-color: #fff !important;
  /*height: 100vh;*/
  /*    direction: rtl;*/
}

h1:focus {
  outline: none;
}

a, .btn-link {
  color: #0071c1;
}

.e-listbox-container .e-list-parent {
  min-height: 150px !important;
}

.cursor-pointer:hover {
  cursor: pointer;
}

.clickable {
  cursor: pointer;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.content {
  padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
  outline: 1px solid #26b050;
}

.invalid {
  outline: 1px solid red;
}

.text-multiline textarea {
  height: 300px !important;
}

.main-board {
  position: relative;
  background-color: #fff;
  width: 450px;
  margin-top: 20px;
  border-radius: 25px;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.main-board .player-list {
  margin-top: 1rem;
}
.main-board .player-list .table .tr {
  padding-top: 10px;
}

.e-tab > .e-content {
  height: calc(100% - 36px); /*tab height - tab header height*/
}

.e-tab > .e-content .e-item {
  height: 100%;
}

.word-suggestion-container {
  width: 100%;
  position: relative;
  min-width: 150px;
}

.sidebar-container {
  background-color: #151515;
  height: 100%;
  padding: 0;
  position: relative;
}
.sidebar-container .close-btn {
  display: flex;
  width: 100%;
  background-color: #223646;
  margin-bottom: -20px;
}
.sidebar-container .sidebar-menu {
  list-style-type: none;
  padding: 0;
  font-size: 1.5rem;
  font-weight: bold;
}
.sidebar-container .sidebar-menu .menu-item {
  padding: 0;
  margin: 0;
}
.sidebar-container .sidebar-menu .menu-item .item-link {
  text-decoration: none;
  color: white;
  width: 100%;
  height: 100%;
}
.sidebar-container .sidebar-menu .menu-item .item-link.active .inner {
  background-color: dimgray;
}
.sidebar-container .sidebar-menu .menu-item .item-link .inner {
  transition: background-color 0.5s ease-in-out;
  min-height: 50px;
  width: 100%;
  height: 100%;
  padding: 10px 0px 0px 10px;
}
.sidebar-container .sidebar-menu .menu-item .item-link .inner:hover {
  background-color: grey;
}

.social-container {
  display: flex;
  width: 100%;
  justify-content: center;
  margin-top: 4px;
}
.social-container button {
  border: 1px solid #DDDDDD;
  border-radius: 50%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin: 0 5px;
  height: 40px;
  width: 40px;
  transition: background-color 0.2s ease-in-out;
}
.social-container button:hover {
  cursor: pointer;
  background-color: #d2d2d2;
}
.social-container button:hover i {
  transition: font-size 0.2s ease-in-out;
  font-size: 1rem;
}
.social-container button:hover i.fa-facebook-f {
  color: #4267B2;
}
.social-container button:hover i.fa-google-plus-g {
  color: #DB4437;
}
.social-container button:hover i.fa-linkedin-in {
  color: #0077b5;
}

.profile-picture {
  -o-object-fit: cover;
  object-fit: cover;
  border-radius: 50%;
  width: 100%;
  aspect-ratio: 1;
}

.player-profile {
  display: flex;
  align-items: center;
  background-color: #223646;
  width: 215px;
  margin: 5px;
  padding: 10px;
  border-radius: 10px;
  box-shadow: 0px 0px 5px 2px #3c464e;
  position: relative;
}
.player-profile .vote-hand {
  position: absolute;
  top: -7px;
  right: -5px;
  transform: rotate(30deg);
}
.player-profile .click-btn-container {
  position: absolute;
  width: 100%;
  height: 100%;
  cursor: pointer;
  background-color: white;
  opacity: 0;
  top: 0;
  left: 0;
  transition: opacity 0.5s ease-in-out;
}
.player-profile .click-btn-container:hover {
  opacity: 0.1;
}
.player-profile .kick-btn-container {
  padding-right: 5px;
  padding-left: 5px;
  width: 40px;
}
.player-profile .icon-container {
  width: 35px;
  height: 35px;
  min-width: 35px;
  min-height: 35px;
}
.player-profile .icon-container .inner-container {
  position: relative;
}
.player-profile .icon-container .inner-container .profile-picture {
  position: absolute;
  width: 21px;
  height: 21px;
  top: 6px;
  left: 7px;
}
.player-profile .icon-container .inner-container .sherif-badge {
  position: absolute;
  width: 100%;
  top: -3px;
  left: 0px;
  max-width: 100%;
}
.player-profile .icon-container .inner-container .overlay-icon {
  position: absolute;
  border-radius: 25px;
  /* width: 20px; */
  max-width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0.6;
  height: 22px;
  width: 22px;
  top: 6px;
  left: 7px;
}
.player-profile .icon-container .inner-container .overlay-icon.ready {
  background-color: green;
}
.player-profile .icon-container .inner-container .overlay-icon.spy {
  background-color: red;
}
.player-profile .name-container {
  width: 100px;
  color: white;
  font-size: 1rem;
  overflow: hidden;
}
.player-profile .name-container.self {
  font-weight: bold;
}
.player-profile .name-container.eliminated {
  text-decoration: line-through !important;
  color: gray;
}
.player-profile .name-container.spy {
  color: red !important;
}
.player-profile .name-container.ready {
  color: green;
}

.user-profile {
  display: flex;
  align-items: center;
  background-color: #223646;
  width: 215px;
  margin: 5px;
  padding: 10px;
  border-radius: 10px;
  box-shadow: 0px 0px 5px 2px #3c464e;
}
.user-profile .icon-container {
  width: 35px;
  height: 35px;
  min-width: 35px;
  min-height: 35px;
}
.user-profile .icon-container .inner-container {
  position: relative;
}
.user-profile .icon-container .inner-container .profile-picture {
  position: absolute;
  width: 21px;
  height: 21px;
  top: 6px;
  left: 7px;
}
.user-profile .name-container {
  width: 100px;
  color: white;
  font-size: 1rem;
  overflow: hidden;
}
.user-profile .name-container.self {
  font-weight: bold;
}

@media screen and (max-width: 450px) {
  .main-board {
    background-color: #fff;
    width: 350px;
    margin-top: 20px;
    border-radius: 25px;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    display: flex;
    flex-direction: column-reverse;
  }
  .main-board .player-list {
    margin-top: 1rem;
  }
  .main-board .player-list .table .tr {
    padding-top: 10px;
  }
  .player-list {
    padding: 10px;
  }
  .player-list .player-profile {
    width: 100% !important;
  }
  .player-list .player-profile .name-container {
    width: 100% !important;
  }
}
.navigation-bar .nav-on {
  width: 100%;
  transition: 1s;
}
.navigation-bar .nav-off {
  width: 17%;
  transition: 1s;
}

.hide-word-buttom {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background-color: #2c4456;
  box-shadow: 0 0 7px 0px #2c4456;
}

.start-game-counter {
  color: red;
  font-size: 20px;
}

.game-timer {
  font-size: 20px;
}

.button-size {
  padding: 2px 8px 2px 8px;
}

.avatar {
  border-radius: 50%;
  width: 70px;
  height: 70px;
  overflow: hidden;
  background-color: rgba(222, 226, 230, 0.7019607843);
}

.settings-buttons {
  display: flex;
}
.settings-buttons .display-margin {
  margin-left: 200px;
}

.main-button-size {
  width: 150px;
}

.main-button-margin {
  margin-left: 100px;
}

.Room-button-size {
  width: 110px;
}

.popup-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 10;
}
.popup-wrapper.isModal {
  position: fixed !important;
}
.popup-wrapper .game-setting {
  position: relative;
  padding: 15px 15px 15px 15px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-radius: 15px;
  background-color: #1C2B3E;
  box-shadow: 1px 1px 20px 0px #4d4d4d;
  max-width: 700px;
  min-height: 300px;
}
.popup-wrapper .confirmation-setting {
  position: relative;
  padding: 15px 25px 15px 25px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-radius: 15px;
  background-color: #1C2B3E;
  box-shadow: 1px 1px 20px 0px #4d4d4d;
  width: 350px;
  max-width: 700px;
  min-height: 100px;
}

@media screen and (max-width: 450px) {
  .popup-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 10;
  }
  .popup-wrapper .game-setting {
    position: relative;
    padding: 15px 15px 15px 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 15px;
    background-color: #1C2B3E;
    box-shadow: 1px 1px 20px 0px #4d4d4d;
    width: 350px;
    max-width: 700px;
    min-height: 300px;
  }
  .popup-wrapper .confirmation-setting {
    position: relative;
    padding: 15px 25px 15px 25px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 15px;
    background-color: #1C2B3E;
    box-shadow: 1px 1px 20px 0px #4d4d4d;
    width: 290px;
    max-width: 700px;
    min-height: 100px;
  }
  .main-button-size {
    width: 150px;
  }
  .main-button-margin {
    margin-left: 10px;
  }
  .Room-button-size {
    width: 100px;
  }
  .settings-buttons {
    display: flex;
    flex-direction: column;
  }
  .settings-buttons .display-margin {
    margin-top: 10px;
    margin-left: 0px;
  }
  .button-size {
    padding: 3px 10px 3px 10px;
  }
  .avatar {
    border-radius: 50%;
    width: 60px;
    height: 60px;
    overflow: hidden;
    background-color: rgba(222, 226, 230, 0.7019607843);
  }
}
.eliminated {
  text-decoration: line-through;
  color: #3e3e3e;
}

.validation-message {
  color: red;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

.blazor-error-boundary::after {
  content: "An error has occurred.";
}

.Spy {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 600px;
  width: 400px;
  border-radius: 25px;
  background-color: #1c2b36 !important;
  color: white;
}

.login {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 700px;
  width: 500px;
  min-height: 300px;
  border-radius: 25px;
  background-color: #1c2b36 !important;
  color: white !important;
  padding: 15px;
}
.login input {
  background-color: #212529 !important;
  color: white !important;
  border: none;
}

.login-items {
  cursor: pointer;
}
